Loading...
Searching...
No Matches
RDKit::PicklerOps Namespace Reference

## Typedefs

using | QueryDetails = boost::variant< MolPickler::Tags, std::tuple< MolPickler::Tags, int32_t >, std::tuple< MolPickler::Tags, int32_t, int32_t >, std::tuple< MolPickler::Tags, int32_t, int32_t, int32_t, char >, std::tuple< MolPickler::Tags, std::set< int32_t > > >

## Functions

template<class T >
QueryDetails | getQueryDetails (const Queries::Query< int, T const *, true > *query)

## Typedef Documentation

## QueryDetails

using RDKit::PicklerOps::QueryDetails = typedef boost::variant< MolPickler::Tags, std::tuple<MolPickler::Tags, int32_t>, std::tuple<MolPickler::Tags, int32_t, int32_t>, std::tuple<MolPickler::Tags, int32_t, int32_t, int32_t, char>, std::tuple<MolPickler::Tags, std::set<int32_t> >>

Definition at line 302 of file MolPickler.h.

## Function Documentation

## getQueryDetails()

template<class T >

QueryDetails RDKit::PicklerOps::getQueryDetails | ( | const Queries::Query< int, T const *, true > * | query | ) |

References getQueryDetails().

Referenced by getQueryDetails().